// CommandLineHelper Sample Application
// ====================================
// License: Microsoft Permissive License (Ms-PL) v1.1
// Author: Rhy Mednick (http://www.rhyverse.net)
// Project Site: http://www.codeplex.com/CommandLineHelper

using System;
using System.Collections.Generic;
using System.Text;
using CommandLineHelper.Attributes;

namespace CommandLineHelper
{
    class CommandLineParameters
    {
        private string _stringExample;
        private bool _flagExample;
        private int _intExample;

        [Parameter("This parameter takes an integer.", true)]
        public int IntExample
        {
            get { return _intExample; }
            set { _intExample = value; }
        }

        [Parameter(HelpMessage="This parameter takes a string value.", Mandatory=true)]
        public string StringExample
        {
            get { return _stringExample; }
            set { _stringExample = value; }
        }
        
        [Parameter(HelpMessage = "This parameter takes no value on the command line but is set to true if it's specified.")]
        public bool FlagExample
        {
            get { return _flagExample; }
            set { _flagExample = value; }
        }

    }
}
